Subject: Re: bug#46297: nix-service-configuration is missing the default /bin/sh
From: Oleg Pykhalov <[email-masked]>
To: [email-masked]
Cc: pukkamustard <[email-masked]>, John Soo <[email-masked]>
Date: Mon, 26 Apr 2021 20:06:16 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

pukkamustard <[email-masked]> writes:

[…]

>> Could you apply the following patch on
>> 13c4a377f5a2e1240790679f3d5643385b6d7635 and run the command again,
>> please?
>
> Applied and tested in a virtual machine. Your patch seems to fix the issue I
> was having. Thank you!
>
> Also tested again in a VM without your patches and was able to reproduce the
> error as reported.
>
> For completeness the commands I ran in the VM:
>
> ```
> $ nix-channel add https://nixos.org/channels/nixpkgs-unstable nixpkgs
> $ nix-channel --update
> $ nix-build '<nixpkgs>' -I .nix-defexpr/channels -A
> ocaml-ng.ocamlPackages_4_11.ocaml
> /nix/store/gvwnh8wn0ib40fd6k3wa4xf7ja1y17l9-ocaml-4.11.2
> ```

Thank yoo for the test.

Pushed to master as 43a7724040560d35e9e3a19bd1cfdb7e5c4c4711

Oleg.